> For the complete documentation index, see [llms.txt](https://docs.mindee.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mindee.com/v1/get-started/mindee-glossary.md).

# Mindee V1 Glossary

This glossary introduces common Mindee terminology. You will frequently encounter these concepts throughout this doc as Mindee is centered around them.

* **Annotation**: These are the labels used to train custom APIs; in other words, it refers to labels produced and provided to our API when the training Interface is used.
* **API**: An API (Application Programming Interface), is an interface that define how applications or devices can connect to and communicate with each other defined by a set of protocols and rules.
* **Documents**: This includes semi-structured documents such as an invoice, receipt, ID document, W9-forms, train-ticket, etc in a PDF or image format.
* **Endpoint**: An API endpoint is a specific point of entry translated in a unique URL to access a specific API or API feature. As an example `https://api.mindee.net/v1/products/mindee/expense_receipts/v3/predict` is the endpoint to access the receipts predict API.
* **Labels**: A label key is a list containing valid JSON objects whose format depends on the type of feature you are annotating.
* **Models**: Models are machine learning files that can be trained to carry out specific tasks such as extracting the total amount info from receipts etc.
* **SDK**: SDK (Software Development Kit) is a set of software development tools developers can use to facilitate the creation of applications.
* **OpenAPI Definition**: This is a specification that defines a standard, language-agnostic interface to RESTful APIs.
* **Payload**: A payload refers to the data that you submit to the Mindee server when you are making an API request.
* **Predictions**: This refers to response or results that our APIs deliver on a given document.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.mindee.com/v1/get-started/mindee-glossary.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
